Package org.springframework.security.config

# Class BeanIds

java.lang.Object
org.springframework.security.config.BeanIds

public abstract class BeanIds extends Object
Contains globally used default Bean IDs for beans created by the namespace support in Spring Security 2.

These are intended for internal use.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHENTICATION_MANAGER`
The "global" AuthenticationManager instance, registered by the <authentication-manager> element
`static final String`
`CONTEXT_SOURCE`
`static final String`
`CONTEXT_SOURCE_SETTING_POST_PROCESSOR`
`static final String`
`DEBUG_FILTER`
`static final String`
`EMBEDDED_APACHE_DS`
`static final String`
`EMBEDDED_UNBOUNDID`
`static final String`
`FILTER_CHAIN_PROXY`
`static final String`
`FILTER_CHAINS`
`static final String`
`METHOD_ACCESS_MANAGER`
`static final String`
`METHOD_SECURITY_METADATA_SOURCE_ADVISOR`
`static final String`
`SPRING_SECURITY_FILTER_CHAIN`
External alias for FilterChainProxy bean, for use in web.xml files
`static final String`
`USER_DETAILS_SERVICE`
`static final String`
`USER_DETAILS_SERVICE_FACTORY`

## Constructor Summary

Constructors
Constructor
Description
`BeanIds()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTHENTICATION_MANAGER

public static final String AUTHENTICATION_MANAGER
The "global" AuthenticationManager instance, registered by the <authentication-manager> element

See Also:
  - Constant Field Values

### SPRING_SECURITY_FILTER_CHAIN

public static final String SPRING_SECURITY_FILTER_CHAIN
External alias for FilterChainProxy bean, for use in web.xml files

See Also:
  - Constant Field Values

### CONTEXT_SOURCE_SETTING_POST_PROCESSOR

public static final String CONTEXT_SOURCE_SETTING_POST_PROCESSOR

See Also:
  - Constant Field Values

### USER_DETAILS_SERVICE

public static final String USER_DETAILS_SERVICE

See Also:
  - Constant Field Values

### USER_DETAILS_SERVICE_FACTORY

public static final String USER_DETAILS_SERVICE_FACTORY

See Also:
  - Constant Field Values

### METHOD_ACCESS_MANAGER

public static final String METHOD_ACCESS_MANAGER

See Also:
  - Constant Field Values

### FILTER_CHAIN_PROXY

public static final String FILTER_CHAIN_PROXY

See Also:
  - Constant Field Values

### FILTER_CHAINS

public static final String FILTER_CHAINS

See Also:
  - Constant Field Values

### METHOD_SECURITY_METADATA_SOURCE_ADVISOR

public static final String METHOD_SECURITY_METADATA_SOURCE_ADVISOR

See Also:
  - Constant Field Values

### EMBEDDED_APACHE_DS

public static final String EMBEDDED_APACHE_DS

See Also:
  - Constant Field Values

### EMBEDDED_UNBOUNDID

public static final String EMBEDDED_UNBOUNDID

See Also:
  - Constant Field Values

### CONTEXT_SOURCE

public static final String CONTEXT_SOURCE

See Also:
  - Constant Field Values

### DEBUG_FILTER

public static final String DEBUG_FILTER

See Also:
  - Constant Field Values

## Constructor Details

### BeanIds

public BeanIds()